Ir para o conteúdo
Documentação do Endless

List project canvases

GET
/projects/{project_id}/canvases

Lists the project canvases the caller can read. Scoped to the project named by project_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

project_id*string
Formatuuid

Query Parameters

limit?integer
Range1 <= value <= 100
cursor?string

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/0191e5a2-9b3f-7f25-8c07-5e2d7b14a9c6/canvases"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "owner_id": "string",      "organization_id": "string",      "name": "string",      "description": "string",      "emoji": "string",      "color": "string",      "thumbnail_url": "string",      "visibility": "private",      "workspace_role": "viewer",      "last_activity_at": "2019-08-24T14:15:22Z",      "dual_board_id": "string",      "deleted_at": "2019-08-24T14:15:22Z",      "deleted_by_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "shared": true,      "can_edit": true,      "can_delete": true    }  ],  "next_cursor": "string"}